Loading...
Searching...
No Matches
Halide::Internal::HalideBufferStaticTypeAndDims< typename > Struct Template Reference

`#include <Callable.h>`

## Static Public Member Functions

static constexpr halide_type_t | type ()
static constexpr int | dims ()

## Detailed Description

template<typename>
struct Halide::Internal::HalideBufferStaticTypeAndDims< typename >

Definition at line 43 of file Callable.h.

## Member Function Documentation

## type()

template<typename>

constexpr halide_type_t Halide::Internal::HalideBufferStaticTypeAndDims< typename >::type | ( |  | ) |

inline static constexpr

Definition at line 44 of file Callable.h.

## dims()

template<typename>

constexpr int Halide::Internal::HalideBufferStaticTypeAndDims< typename >::dims | ( |  | ) |

inline static constexpr

Definition at line 47 of file Callable.h.

The documentation for this struct was generated from the following file:

- src/Callable.h